<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Consultas{


	//implementamos nuestro constructor
public function __construct(){

}

//listar registros
public function comprasfecha($fecha_inicio,$fecha_fin){
	/*$sql="SELECT DATE(i.fecha_hora) as fecha, u.nombre as usuario, p.nombre as proveedor, i.tipo_comprobante, i.serie_comprobante, i.num_comprobante, i.total_compra,i.impuesto,i.estado FROM ingreso i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE DATE(i.fecha_hora)>='$fecha_inicio' AND DATE(i.fecha_hora)<='$fecha_fin'";*/

		$sql="SELECT DATE(i.fecha_hora) as fecha, u.nombre as usuario, p.nombre as proveedor, i.tipo_comprobante, i.serie_comprobante, i.num_comprobante, i.total_compra,i.impuesto,i.estado,(select a.descripcion from articulo a where a.idarticulo=di.idarticulo)   as articulo , di.cantidad FROM detalle_ingreso di INNER JOIN  ingreso i  ON i.idingreso=di.idingreso   INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE DATE(i.fecha_hora)>='$fecha_inicio' AND DATE(i.fecha_hora)<='$fecha_fin'";

	return ejecutarConsulta($sql);
}


public function ventasfechacliente($fecha_inicio,$fecha_fin,$idcliente,$idVendedor){
	/*$sql="SELECT DATE(v.fecha_hora) as fecha, u.nombre as usuario, p.nombre as cliente, v.tipo_comprobante,v.serie_comprobante, v.num_comprobante , v.total_venta, v.impuesto, v.estado FROM venta v INNER JOIN persona p ON v.idcliente=p.idpersona INNER JOIN usuario u ON v.idusuario=u.idusuario WHERE DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin' AND v.idcliente='$idcliente'";*/

$cliente=null; 
$vendedor=null;
	if($idcliente=='todos' && $idVendedor=='todos'){
		 	$sql="SELECT DATE(v.fecha_hora) as fecha, u.nombre as usuario, p.nombre as cliente, v.tipo_comprobante,v.serie_comprobante, LPAD(v.idventa,7,'0')  as num_comprobante , v.total_venta, v.impuesto, v.estado,(SELECT vend.nombre FROM divenplan_sistema.usuario vend where vend.idusuario=v.idVendedor) as vendedor,(select a.descripcion from articulo a where a.idarticulo=dv.idarticulo) as itemArticulo ,dv.cantidad,dv.descuento, IFNULL(dv.formaPago,'EFE') as formaPago  FROM  detalle_venta dv   INNER JOIN venta v   ON v.idventa=dv.idventa   INNER JOIN persona p ON v.idcliente=p.idpersona INNER JOIN usuario u ON v.idusuario=u.idusuario WHERE DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin'  ";
 
 }

    if($idVendedor=='todos' && $idcliente!='todos'){

    	$sql="SELECT DATE(v.fecha_hora) as fecha, u.nombre as usuario, p.nombre as cliente, v.tipo_comprobante,v.serie_comprobante, LPAD(v.idventa,7,'0')  as num_comprobante , v.total_venta, v.impuesto, v.estado,(SELECT vend.nombre FROM divenplan_sistema.usuario vend where vend.idusuario=v.idVendedor) as vendedor,(select a.descripcion from articulo a where a.idarticulo=dv.idarticulo) as itemArticulo ,dv.cantidad,dv.descuento, IFNULL(dv.formaPago,'EFE') as formaPago     FROM  detalle_venta dv   INNER JOIN venta v   ON v.idventa=dv.idventa   INNER JOIN persona p ON v.idcliente=p.idpersona INNER JOIN usuario u ON v.idusuario=u.idusuario WHERE DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin' AND v.idcliente= '$idcliente' ";


 }


	if($idcliente=='todos' && $idVendedor!='todos' ){
	 
	 	$sql="SELECT DATE(v.fecha_hora) as fecha, u.nombre as usuario, p.nombre as cliente, v.tipo_comprobante,v.serie_comprobante, LPAD(v.idventa,7,'0')  as num_comprobante , v.total_venta, v.impuesto, v.estado,(SELECT vend.nombre FROM divenplan_sistema.usuario vend where vend.idusuario=v.idVendedor) as vendedor,(select a.descripcion from articulo a where a.idarticulo=dv.idarticulo) as itemArticulo ,dv.cantidad,dv.descuento, IFNULL(dv.formaPago,'EFE') as formaPago    FROM  detalle_venta dv   INNER JOIN venta v   ON v.idventa=dv.idventa    INNER JOIN persona p ON v.idcliente=p.idpersona INNER JOIN usuario u ON v.idusuario=u.idusuario WHERE DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin' AND v.idVendedor= '$idVendedor'";
	 }



	if($idcliente!='todos' && $idVendedor!='todos' ){
	 
	 	$sql="SELECT DATE(v.fecha_hora) as fecha, u.nombre as usuario, p.nombre as cliente, v.tipo_comprobante,v.serie_comprobante, LPAD(v.idventa,7,'0')  as num_comprobante , v.total_venta, v.impuesto, v.estado,(SELECT vend.nombre FROM divenplan_sistema.usuario vend where vend.idusuario=v.idVendedor) as vendedor,(select a.descripcion from articulo a where a.idarticulo=dv.idarticulo) as itemArticulo  ,dv.cantidad,dv.descuento, IFNULL(dv.formaPago,'EFE') as formaPago  FROM  detalle_venta dv   INNER JOIN venta v   ON v.idventa=dv.idventa    INNER JOIN persona p ON v.idcliente=p.idpersona INNER JOIN usuario u ON v.idusuario=u.idusuario WHERE DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin' AND v.idcliente= '$idcliente'  AND v.idVendedor= '$idVendedor'";
	 }


	return ejecutarConsulta($sql);
}

public function totalcomprahoy(){
	$sql="SELECT IFNULL(SUM(total_compra),0) as total_compra FROM ingreso WHERE DATE(fecha_hora)=curdate()";
	return ejecutarConsulta($sql);
}

public function totalventahoy(){
	$sql="SELECT IFNULL(SUM(total_venta),0) as total_venta FROM venta WHERE DATE(fecha_hora)=curdate()";
	return ejecutarConsulta($sql);
}

public function comprasultimos_10dias(){
	$sql=" SELECT CONCAT(DAY(fecha_hora),'-',MONTH(fecha_hora)) AS fecha, SUM(total_compra) AS total FROM ingreso GROUP BY fecha_hora ORDER BY fecha_hora DESC LIMIT 0,10";
	return ejecutarConsulta($sql);
}

public function ventasultimos_12meses(){
	$sql=" SELECT DATE_FORMAT(fecha_hora,'%M') AS fecha, SUM(total_venta) AS total FROM venta GROUP BY MONTH(fecha_hora) ORDER BY fecha_hora DESC LIMIT 0,12";
	return ejecutarConsulta($sql);
}


public function preciosVariados($idArticulo,$fecha_inicio,$fecha_fin){
	/*$sql=" SELECT a.idarticulo,a.descripcion,(( dv.valor_recaudado-dv.descuento)/dv.cantidad) as valor FROM venta v ,detalle_venta dv ,articulo a
			where 1=1 
			and  v.idventa=dv.idventa
			and  a.idarticulo=dv.idarticulo 
			and a.idarticulo= '$idArticulo' 
			and DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin'
			group by a.idarticulo,a.descripcion ,(( dv.valor_recaudado-dv.descuento)/dv.cantidad)";*/

				$sql=" SELECT a.idarticulo,a.descripcion,(( dv.valor_recaudado-dv.descuento)/dv.cantidad) as valor FROM venta v ,detalle_venta dv ,articulo a
			where 1=1 
			and  v.idventa=dv.idventa
			and  a.idarticulo=dv.idarticulo 
			and a.idarticulo= '$idArticulo' 
			and DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin'";
	return ejecutarConsulta($sql); 
}




public function preciosVariadosUno($idArticulo,$fecha_inicio,$fecha_fin){
	 
				$sql=" SELECT '1' as indice ,a.idarticulo,a.descripcion,(( dv.valor_recaudado-dv.descuento)/dv.cantidad) as valor FROM venta v ,detalle_venta dv ,articulo a
			where 1=1 
			and  v.idventa=dv.idventa
			and  a.idarticulo=dv.idarticulo  
			and DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin'
            union 
            SELECT '2' as indice ,a.idarticulo,a.descripcion,(( dv.valor_recaudado-dv.descuento)/dv.cantidad) as valor FROM venta v ,detalle_venta dv ,articulo a
			where 1=1 
			and  v.idventa=dv.idventa
			and  a.idarticulo=dv.idarticulo  
			and DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin'
			";
	return ejecutarConsulta($sql); 
}




public function preciosVariadosDos($idArticulo,$fecha_inicio,$fecha_fin){
	 
				$sql=" SELECT '1' as indice ,a.idarticulo,a.descripcion,(( dv.valor_recaudado-dv.descuento)/dv.cantidad) as valor FROM venta v ,detalle_venta dv ,articulo a
			where 1=1 
			and  v.idventa=dv.idventa
			and  a.idarticulo=dv.idarticulo 
			and a.idarticulo= '$idArticulo' 
			and DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin'
            union 
            SELECT '2' as indice ,a.idarticulo,a.descripcion,(( dv.valor_recaudado-dv.descuento)/dv.cantidad) as valor FROM venta v ,detalle_venta dv ,articulo a
			where 1=1 
			and  v.idventa=dv.idventa
			and  a.idarticulo=dv.idarticulo 
			and a.idarticulo= '$idArticulo' 
			and DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin'
			";
	return ejecutarConsulta($sql); 
}





public function cantidadArticulosxPrecios($articulo,$precios,$fecha_inicio,$fecha_fin){
	/*$sql=" SELECT count(1) as contador, IFNULL(dv.cantidad,0) as cantidad  FROM venta v ,detalle_venta dv ,articulo a
			where 1=1 
			and  v.idventa=dv.idventa
			and  a.idarticulo=dv.idarticulo  
			and (( dv.valor_recaudado-dv.descuento)/dv.cantidad)= '$precios' 
			and   DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin'
			and dv.idarticulo= '$articulo'";*/
			$sql=" SELECT COUNT(1), SUM(IFNULL(dv.cantidad,0))  as cantidad  FROM venta v ,detalle_venta dv ,articulo a
			where 1=1 
			and  v.idventa=dv.idventa
			and  a.idarticulo=dv.idarticulo  
			and (( dv.valor_recaudado-dv.descuento)/dv.cantidad)= '$precios' 
			and   DATE(v.fecha_hora)>='$fecha_inicio' AND DATE(v.fecha_hora)<='$fecha_fin'
			and dv.idarticulo= '$articulo'";
	return ejecutarConsulta($sql);
}

 

}

 ?>
