var tabla;

//funcion que se ejecuta al inicio
function init(){
   mostrarform(false);
   listar();

   $("#formulario").on("submit",function(e){
   	guardaryeditar(e);
   });

   //cargamos los items al select cliente
    $.post("../ajax/guiaDeDespacho.php?op=selectCliente", function(r){
   	$("#idcliente").html(r);
   	$('#idcliente').selectpicker('refresh');
   }); 

}

//funcion limpiar
function limpiar(){
    $("#secuencia").val("");
	$("#idcliente").val("");
	$("#cliente").val("");

	//	$('#idcliente').selectpicker('refresh');

	/*$("#idcliente").html("");
	 $.post("../ajax/guiaDeDespacho.php?op=selectCliente", function(r){
   	$("#idcliente").html(r);
   	$('#idcliente').selectpicker('refresh');
   });*/

	$("#serie_comprobante").val("");
	$("#num_comprobante").val("");
	$("#impuesto").val("");

	$("#total_venta").val("");
	$(".filas").remove();
	$("#total").html("0");

	//obtenemos la fecha actual
	var now = new Date();
	var day =("0"+now.getDate()).slice(-2);
	var month=("0"+(now.getMonth()+1)).slice(-2);
	var today=now.getFullYear()+"-"+(month)+"-"+(day);
	$("#fecha_hora").val(today);

	//marcamos el primer tipo_documento
	$("#tipo_comprobante").val("Boleta");
	$("#tipo_comprobante").selectpicker('refresh');

}

//funcion mostrar formulario
function mostrarform(flag){
	limpiar();
	if(flag){
		$("#detallesGuia").hide(); 
		 $("#vendedor").hide(); 

$("#idventa").show(); 
		 $("#idcliente").show(); 
		  $("#detalles").show(); 


		$("#listadoregistros").hide();
		$("#formularioregistros").show();
		//$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
		listarArticulos();

		$("#btnGuardar").hide();
		$("#btnCancelar").show();
		detalles=0;
		$("#btnAgregarArt").show();

		/*$("#idcliente").html("");
	 $.post("../ajax/guiaDeDespacho.php?op=selectCliente", function(r){
   	$("#idcliente").html(r);
   	$('#idcliente').selectpicker('refresh');
   });*/


	}else{

		$("#idventa").hide(); 
		 $("#idcliente").hide(); 
		  $("#detalles").hide(); 
		  $("#detallesGuia").show(); 
		 $("#vendedor").show(); 



		$("#listadoregistros").show();
		$("#formularioregistros").hide();
		$("#btnagregar").show();
	}
}

//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
	window.location.href = window.location.href;
}

//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'../ajax/guiaDeDespacho.php?op=listar',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":5,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}

function listarArticulos(){
	tabla=$('#tblarticulos').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"ajax":
		{
			url:'../ajax/guiaDeDespacho.php?op=listarArticulos',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"bDestroy":true,
		"iDisplayLength":5,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}
//funcion para guardaryeditar
function guardaryeditar(e){
     e.preventDefault();//no se activara la accion predeterminada 
     //$("#btnGuardar").prop("disabled",true);
     var formData=new FormData($("#formulario")[0]);
     console.log(formData);

     $.ajax({
     	url: "../ajax/guiaDeDespacho.php?op=guardaryeditar",
     	type: "POST",
     	data: formData,
     	contentType: false,
     	processData: false,

     	success: function(datos){
     		bootbox.alert(datos);
     		mostrarform(false);
     		listar();
     	}
     });

     limpiar();
}

function mostrar(idventa){
	$.post("../ajax/guiaDeDespacho.php?op=mostrar",{idventa : idventa},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);

            $("#secuencia").val(idventa);
            $("#vendedor").val(data.vendedor);
 
			$("#tipo_comprobante").val(data.tipo_comprobante);
			$("#tipo_comprobante").selectpicker('refresh');
			$("#serie_comprobante").val(data.serie_comprobante);
			$("#num_comprobante").val(data.num_comprobante);
			$("#fecha_hora").val(data.fecha);
			$("#impuesto").val(data.impuesto);
			//$("#idventa").val(data.idventa);
			$("#idventa").val(idventa);
			
			//ocultar y mostrar los botones
			$("#btnGuardar").hide();
			$("#btnCancelar").show();
			$("#btnAgregarArt").hide();


			$("#idventa").hide(); 
		 $("#idcliente").hide(); 
		  $("#detalles").hide(); 
		  $(".btn-group.bootstrap-select.form-control").hide(); 
		  $("#detallesGuia").show(); 
		 $("#vendedor").show(); 

		});


	$.post("../ajax/guiaDeDespacho.php?op=listarDetalleGuia&id="+idventa,function(r){
		$("#detallesGuia").html(r);
	});
	
	$.post("../ajax/guiaDeDespacho.php?op=listarDetalle&id="+idventa,function(r){
		$("#detalles").html(r);
	});

}


//funcion para desactivar
function anular(idventa){
	bootbox.confirm("¿Esta seguro de desactivar este dato?", function(result){
		if (result) {
			$.post("../ajax/guiaDeDespacho.php?op=anular", {idventa : idventa}, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}

//declaramos variables necesarias para trabajar con las compras y sus detalles
var impuesto=18;
var cont=0;
var detalles=0;

$("#btnGuardar").hide();
$("#tipo_comprobante").change(marcarImpuesto);

function marcarImpuesto(){
	var tipo_comprobante=$("#tipo_comprobante option:selected").text();
	if (tipo_comprobante=='Factura') {
		$("#impuesto").val(impuesto);
	}else{
		$("#impuesto").val("0");
	}
}

function agregarDetalle(idarticulo,articulo,stock_disponible){
	var cantidad=1;
	var descuento=0;

	if (idarticulo!="") {
		var stockOcupado= stock_disponible-cantidad;
		var stockDisponibles= stockDisponibles+cantidad;
		var fila=
		'<tr class="filas" id="fila'+cont+'">'+
        '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
        '<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
        '<td><input type="number" name="cantidad[]" id="cantidad[]" min="0" max="'+stockOcupado+'" value="'+cantidad+'"></td>'+
         '<td  ><span id="subtotal'+cont+'" name="subtotal">'+stockOcupado+'</span></td>'+ 
        '<td  ><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button></td>'+
		'</tr>'; 
		/*
            var fila='<tr class="filas" id="fila'+cont+'">'+
        '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
        '<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
        '<td><input type="number" name="cantidad[]" id="cantidad[]" min="0" max="'+stockOcupado+'" value="'+cantidad+'"></td>'+
        '<td style="display:none"><input type="number" name="precio_venta[]" id="precio_venta[]" value="'+stock_disponible+'"></td>'+
         '<td style="display:none"><input type="number" name="descuento[]" value="'+descuento+'"></td>'+
         '<td    style="display:none" ><span id="cantidadTotal'+cont+'" name="cantidadTotal">'+stockDisponibles+'</span></td>'+ 
        '<td  ><span id="subtotal'+cont+'" name="subtotal">'+stockOcupado+'</span></td>'+ 
        '<td  ><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button></td>'+
		'</tr>'; 

		*/
		cont++;
		detalles++;
		$('#detalles').append(fila);
		modificarSubtotales();

	}else{
		alert("error al ingresar el detalle, revisar las datos del articulo ");
	}
}

function modificarSubtotales(){
	var cantTotal=0;
	var cantidad=0;
	var cant=document.getElementsByName("cantidad[]");
	var prev=document.getElementsByName("precio_venta[]");
	var desc=document.getElementsByName("descuento[]");
	var sub=document.getElementsByName("subtotal");
	var cantTotal=document.getElementsByName("total_cantidad");
 //console.log('cantidad1'+cantTotal);
//console.log('cantTotal'+cantTotal);
	for (var i = 0; i < cant.length; i++) {
		var inpV=cant[i];
		var inpP=prev[i];
		var inpS=sub[i];
		var des=desc[i];
cantidad=parseInt(inpV.value);
 
cantTotal=  Number(cantTotal) +cantidad;

 console.log('inpS.value'+cant[i]); 
 console.log('inpV.value'+inpV.value); 

        //	inpV.value= inpV.value;
		inpS.value=(inpS.value )-inpV.value;
		//cantTotal= inpS.value-(inpV.value);
	//	document.getElementsByName("subtotal")[i].innerHTML=inpS.value;
		//document.getElementsByName("subtotal")[i].innerHTML=cantTotal;
	 	//document.getElementsByName("cantidadTotal")[i].innerHTML=cantTotal;

	 	 
	$("#totalCantidad").html("$" + cantTotal);
	$("#total_cantidad").val(cantTotal);
	}

	calcularTotales();
}

function calcularTotales(){
	var sub = document.getElementsByName("subtotal");
	var cantidad = document.getElementsByName("cantidadTotal");
	var total=0.0;

	for (var i = 0; i < sub.length; i++) {
		total += document.getElementsByName("subtotal")[i].value;
	}

	/*for (var j = 0; j < cantidad.length; j++) {
		cantidad += document.getElementsByName("cantidadTotal")[j].value;
	}*/

	$("#total").html("$" + total);
	$("#total_venta").val(total);



	evaluar();
}

function evaluar(){

	if (detalles>0) 
	{
		$("#btnGuardar").show();
	}
	else
	{
		$("#btnGuardar").hide();
		cont=0;
	}
}

function eliminarDetalle(indice){
$("#fila"+indice).remove();
calcularTotales();
detalles=detalles-1;

}

init();